library(SticsPubRTools)

# For loading equations functions code
R_path <- file.path(getwd(),"R")
source(file.path(R_path,"source_functions.R"))
source_functions(R_path)

# For loading tools functions
source(file.path(R_path, "tools.R"))
update_ref_and_version_files( force = FALSE )
#format_authors_rmd()

# When leaving the R session
# 1- Quitting RStudio session: Removing V10.0 files for standard use of SticsRFiles functions
# with integrated Stics versions in the package.
# 2- Quitting book build session: keeping V10.0 files for
# using them through the formatting tool addin from the SticsPubRTools package
#
# Generating the .Last function using the R/build_var.R script
# for setting a build variable to TRUE from inside a build session, and
# FALSE when outside if a build session.
.Last <- function() {
  if(!file.exists("R/build_var.R")) {
    writeLines("assign(x = \"build\", value = FALSE, envir = .GlobalEnv)", con = "./R/build_var.R")
  }
  source("R/build_var.R")
  if(!build) {
    SticsRFiles:::remove_stics_version(version_name = "V10.0")
  }
  file.remove("R/build_var.R")
}
